Debian Bug report logs - #587979
pcscd: uses deprecated HAL

version graph

Package: pcscd; Maintainer for pcscd is Ludovic Rousseau <rousseau@debian.org>; Source for pcscd is src:pcsc-lite.

Reported by: Sascha Silbe <sascha-debian-bugs-pcscd-2010-07-03@silbe.org>

Date: Sat, 3 Jul 2010 14:03:01 UTC

Severity: important

Fixed in version pcsc-lite/1.7.0-1

Done: Ludovic Rousseau <rousseau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Rousseau <rousseau@debian.org>:
Bug#587979; Package pcscd. (Sat, 03 Jul 2010 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sascha Silbe <sascha-debian-bugs-pcscd-2010-07-03@silbe.org>:
New Bug report received and forwarded. Copy sent to Ludovic Rousseau <rousseau@debian.org>. (Sat, 03 Jul 2010 14:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sascha Silbe <sascha-debian-bugs-pcscd-2010-07-03@silbe.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pcscd: uses deprecated HAL
Date: Sat, 03 Jul 2010 13:00:27 +0000
Package: pcscd
Severity: normal


pcscd still uses HAL which has been deprecated by upstream [1]. See
also [2] for efforts on removing HAL from Debian.


[1] http://lists.freedesktop.org/archives/hal/2008-May/011560.html
[2] https://wiki.debian.org/HALRemoval

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.31.6-xo1.5-2-00377-g7f5e423 (PREEMPT)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Rousseau <rousseau@debian.org>:
Bug#587979; Package pcscd. (Thu, 08 Jul 2010 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 587979@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Ludovic Rousseau <rousseau@debian.org>. (Thu, 08 Jul 2010 20:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 587979@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: Sascha Silbe <sascha-debian-bugs-pcscd-2010-07-03@silbe.org>, 587979@bugs.debian.org
Subject: Re: Bug#587979: pcscd: uses deprecated HAL
Date: Thu, 08 Jul 2010 21:55:57 +0200
Le 03/07/10 15:00, Sascha Silbe a écrit :
> Package: pcscd
> Severity: normal
>
>
> pcscd still uses HAL which has been deprecated by upstream [1]. See
> also [2] for efforts on removing HAL from Debian.
>
>
> [1] http://lists.freedesktop.org/archives/hal/2008-May/011560.html
> [2] https://wiki.debian.org/HALRemoval

Moving from HAL to libudev (or something else) is on my todo list. But 
that will not happen before squeeze is released.
I hope it is OK for you.

Thanks for the pointers.

Bye

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Rousseau <rousseau@debian.org>:
Bug#587979; Package pcscd. (Wed, 23 Feb 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Talbut <jt@dpets.co.uk>:
Extra info received and forwarded to list. Copy sent to Ludovic Rousseau <rousseau@debian.org>. (Wed, 23 Feb 2011 10:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 587979@bugs.debian.org (full text, mbox):

From: John Talbut <jt@dpets.co.uk>
To: 587979@bugs.debian.org
Subject: Brings HAL back into testing
Date: Wed, 23 Feb 2011 10:55:55 +0000
Since wpasupplicant now depends on pcscd it is bringing HAL back into 
testing when it had been removed, so this issue is more urgent.




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Rousseau <rousseau@debian.org>:
Bug#587979; Package pcscd. (Wed, 23 Feb 2011 12:13:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to 587979@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Ludovic Rousseau <rousseau@debian.org>. (Wed, 23 Feb 2011 12:13:47 GMT) Full text and rfc822 format available.

Message #20 received at 587979@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: John Talbut <jt@dpets.co.uk>, 587979@bugs.debian.org
Subject: Re: Bug#587979: Brings HAL back into testing
Date: Wed, 23 Feb 2011 13:02:08 +0100
Le 23/02/11 11:55, John Talbut a écrit :
> Since wpasupplicant now depends on pcscd it is bringing HAL back into
> testing when it had been removed, so this issue is more urgent.

The issue should/will be fixed on the wpasupplicant side as explained in 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612715#25

Bye

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Rousseau <rousseau@debian.org>:
Bug#587979; Package pcscd. (Wed, 23 Feb 2011 15:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Ludovic Rousseau <rousseau@debian.org>. (Wed, 23 Feb 2011 15:12:08 GMT) Full text and rfc822 format available.

Message #25 received at 587979@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 587979@bugs.debian.org
Subject: Re: Bug#587979: Brings HAL back into testing
Date: Wed, 23 Feb 2011 16:10:11 +0100
[Message part 1 (text/plain, inline)]
On Feb 23, Ludovic Rousseau <ludovic.rousseau@gmail.com> wrote:

> Le 23/02/11 11:55, John Talbut a écrit :
>> Since wpasupplicant now depends on pcscd it is bringing HAL back into
>> testing when it had been removed, so this issue is more urgent.
> The issue should/will be fixed on the wpasupplicant side as explained in  
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612715#25
While this is nice for wpa_supplicant users, it is nowadays inexcusable
for a package to depend on HAL. Please fix this ASAP.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Rousseau <rousseau@debian.org>:
Bug#587979; Package pcscd. (Wed, 23 Feb 2011 16:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 587979@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Ludovic Rousseau <rousseau@debian.org>. (Wed, 23 Feb 2011 16:36:06 GMT) Full text and rfc822 format available.

Message #30 received at 587979@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: Marco d'Itri <md@Linux.IT>, 587979@bugs.debian.org
Subject: Re: Bug#587979: Brings HAL back into testing
Date: Wed, 23 Feb 2011 17:24:51 +0100
Le 23/02/11 16:10, Marco d'Itri a écrit :
> On Feb 23, Ludovic Rousseau<ludovic.rousseau@gmail.com>  wrote:
>
>> Le 23/02/11 11:55, John Talbut a écrit :
>>> Since wpasupplicant now depends on pcscd it is bringing HAL back into
>>> testing when it had been removed, so this issue is more urgent.
>> The issue should/will be fixed on the wpasupplicant side as explained in
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612715#25
> While this is nice for wpa_supplicant users, it is nowadays inexcusable
> for a package to depend on HAL. Please fix this ASAP.

It is planned for the next upstream version.

Bye

-- 
 Dr. Ludovic Rousseau




Severity set to 'important' from 'normal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 26 Feb 2011 11:00:03 GMT) Full text and rfc822 format available.

Reply sent to Ludovic Rousseau <rousseau@debian.org>:
You have taken responsibility. (Wed, 09 Mar 2011 15:51:05 GMT) Full text and rfc822 format available.

Notification sent to Sascha Silbe <sascha-debian-bugs-pcscd-2010-07-03@silbe.org>:
Bug acknowledged by developer. (Wed, 09 Mar 2011 15:51:05 GMT) Full text and rfc822 format available.

Message #37 received at 587979-close@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <rousseau@debian.org>
To: 587979-close@bugs.debian.org
Subject: Bug#587979: fixed in pcsc-lite 1.7.0-1
Date: Wed, 09 Mar 2011 15:48:36 +0000
Source: pcsc-lite
Source-Version: 1.7.0-1

We believe that the bug you reported is fixed in the latest version of
pcsc-lite, which is due to be installed in the Debian FTP archive:

libpcsclite-dev_1.7.0-1_amd64.deb
  to main/p/pcsc-lite/libpcsclite-dev_1.7.0-1_amd64.deb
libpcsclite1_1.7.0-1_amd64.deb
  to main/p/pcsc-lite/libpcsclite1_1.7.0-1_amd64.deb
pcsc-lite_1.7.0-1.debian.tar.gz
  to main/p/pcsc-lite/pcsc-lite_1.7.0-1.debian.tar.gz
pcsc-lite_1.7.0-1.dsc
  to main/p/pcsc-lite/pcsc-lite_1.7.0-1.dsc
pcsc-lite_1.7.0.orig.tar.gz
  to main/p/pcsc-lite/pcsc-lite_1.7.0.orig.tar.gz
pcscd_1.7.0-1_amd64.deb
  to main/p/pcsc-lite/pcscd_1.7.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Rousseau <rousseau@debian.org> (supplier of updated pcsc-lite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Mar 2011 14:45:34 +0100
Source: pcsc-lite
Binary: pcscd libpcsclite-dev libpcsclite1
Architecture: source amd64
Version: 1.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Changed-By: Ludovic Rousseau <rousseau@debian.org>
Description: 
 libpcsclite-dev - Middleware to access a smart card using PC/SC (development files)
 libpcsclite1 - Middleware to access a smart card using PC/SC (library)
 pcscd      - Middleware to access a smart card using PC/SC (daemon side)
Closes: 587979 612971
Changes: 
 pcsc-lite (1.7.0-1) unstable; urgency=low
 .
   * New upstream release
   * Fix "uses deprecated HAL" fixed upstream by using libudev instead
     (Closes: #587979)
   * Fix "please drop dependency on pcscd". libpcsclite1 now Recommends:
     instead of Depends: on pcscd (Closes: #612971)
   * debian/control: add a Build-Depends: pkg-config since we use it to detect
     the presence of libudev
Checksums-Sha1: 
 ee6fda321bbbbb2250706c84c222755c8c85aec0 1272 pcsc-lite_1.7.0-1.dsc
 21f271fda6161b41b2716674bf035b87c97ec828 644772 pcsc-lite_1.7.0.orig.tar.gz
 1ec6da3d4c401bae643ac06b7d4f159197de0f3b 12962 pcsc-lite_1.7.0-1.debian.tar.gz
 3ed803d2df99eaedb8dfb455ae943b265bcc2bba 90992 pcscd_1.7.0-1_amd64.deb
 e3e479b9712e1a6b49127c33f89a932ecb0bea85 53578 libpcsclite-dev_1.7.0-1_amd64.deb
 f21f662864ee792d51bc329b4eaa72c86c499f73 53272 libpcsclite1_1.7.0-1_amd64.deb
Checksums-Sha256: 
 7be7d718595bda66ef9a32a11d10bfe110cec5ca8cc3f600bb89ab7427e2dfd8 1272 pcsc-lite_1.7.0-1.dsc
 55c0cecd7747522e416cfefa9f0d5b1d4d566971be1d05e67e9fbe7edc7e1919 644772 pcsc-lite_1.7.0.orig.tar.gz
 287146401fd3f5af4edc1e2ae0fcdf1d23abf7af9ed5ab67557bbe68c682e535 12962 pcsc-lite_1.7.0-1.debian.tar.gz
 cf9e4d9df04dc6ce75112746ddd507b160ee66349bf5020dab3febfee4a8d9b3 90992 pcscd_1.7.0-1_amd64.deb
 1de607e1d8174aab224627a3e811bb880e631b400d5e3c523a8d741abf99ad4d 53578 libpcsclite-dev_1.7.0-1_amd64.deb
 b013c2502e96d22ad1125462ae24557ae541d0744c066d000798e203ccbd2048 53272 libpcsclite1_1.7.0-1_amd64.deb
Files: 
 b5e08574f695dd9f4b7233498ec301a0 1272 misc optional pcsc-lite_1.7.0-1.dsc
 ddd1ca486defeb5e5b2447a10fe900cb 644772 misc optional pcsc-lite_1.7.0.orig.tar.gz
 e66c1e5d645b204fcf2db3c052ec226a 12962 misc optional pcsc-lite_1.7.0-1.debian.tar.gz
 943bbd68dcf3bd33a9d02534577dbecc 90992 misc optional pcscd_1.7.0-1_amd64.deb
 efa48def72b45a5d3c31bd553adea995 53578 libdevel optional libpcsclite-dev_1.7.0-1_amd64.deb
 2aae076a5c62a8e8b9b2633d7c433dea 53272 libs optional libpcsclite1_1.7.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk13hPQACgkQP0qKj+B/HPlwywCggN21sWFNDrPVlbYGdk3Db1kx
kqcAn2m1puu+119LjjItnkbaHTAcrwbv
=S0ut
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Jun 2011 07:37:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:11:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.